spring_100.0+dfsg-2build1_i386.deb


Advertisement

Description

spring - modern full-3D RTS game engine

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name spring
Package version 100.0+dfsg
Package release 2build1
Package architecture i386
Package type deb
Installed size 25.28 KB
Download size 6.74 MB
Official Mirror archive.ubuntu.com
Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
created to bring the gameplay experience of Total Annihilation into 3D.
Games are played using one of a number of mods.
This package just includes the game engine and the default AI, with no maps,
mods or rich user interface.

Alternatives

Package Version Architecture Repository
spring_100.0+dfsg-2build1_amd64.deb 100.0+dfsg amd64 Ubuntu Universe
spring - - -

Requires

Name Value
fonts-freefont-otf -
libboost-chrono1.58.0 -
libboost-filesystem1.58.0 -
libboost-program-options1.58.0 -
libboost-regex1.58.0 -
libboost-system1.58.0 -
libboost-thread1.58.0 -
libc6 >= 2.15
libdevil1c2 -
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libglew1.13 >= 1.12.0
libglu1 -
libglu1-mesa -
libminizip1 >= 1.1
libopenal1 >= 1.14
libsdl2-2.0-0 >= 2.0.0
libstdc++6 >= 5.2
libunwind8 -
libvorbisfile3 >= 1.1.2
libx11-6 -
libxcursor1 >> 1.1.2
spring-common = 100.0+dfsg-2build1
zlib1g >= 1:1.2.0

Download

Type URL
Binary Package spring_100.0+dfsg-2build1_i386.deb
Source Package spring

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install spring deb package:
    # sudo apt-get install spring

Files

Path
/usr/games/spring
/usr/games/spring-dedicated
/usr/games/spring-headless
/usr/lib/spring/libunitsync.so
/usr/lib/spring/AI/Interfaces/C/0.1/InterfaceInfo.lua
/usr/lib/spring/AI/Interfaces/C/0.1/libAIInterface.so
/usr/lib/spring/AI/Skirmish/AAI/0.9/AIInfo.lua
/usr/lib/spring/AI/Skirmish/AAI/0.9/AIOptions.lua
/usr/lib/spring/AI/Skirmish/AAI/0.9/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/CppTestAI/0.1/AIInfo.lua
/usr/lib/spring/AI/Skirmish/CppTestAI/0.1/AIOptions.lua
/usr/lib/spring/AI/Skirmish/CppTestAI/0.1/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/E323AI/3.25.0/AIInfo.lua
/usr/lib/spring/AI/Skirmish/E323AI/3.25.0/AIOptions.lua
/usr/lib/spring/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/KAIK/0.13/AIInfo.lua
/usr/lib/spring/AI/Skirmish/KAIK/0.13/AIOptions.lua
/usr/lib/spring/AI/Skirmish/KAIK/0.13/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/NullAI/0.1/AIInfo.lua
/usr/lib/spring/AI/Skirmish/NullAI/0.1/AIOptions.lua
/usr/lib/spring/AI/Skirmish/NullAI/0.1/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/RAI/0.601/AIInfo.lua
/usr/lib/spring/AI/Skirmish/RAI/0.601/AIOptions.lua
/usr/lib/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so
/usr/lib/spring/AI/Skirmish/Shard/dev/AIInfo.lua
/usr/lib/spring/AI/Skirmish/Shard/dev/AIOptions.lua
/usr/lib/spring/AI/Skirmish/Shard/dev/libSkirmishAI.so
/usr/share/applications/spring.desktop
/usr/share/doc/spring/AUTHORS
/usr/share/doc/spring/DevGuide.txt
/usr/share/doc/spring/FAQ
/usr/share/doc/spring/HowToBuild.txt
/usr/share/doc/spring/HowToSyncDebug.txt
/usr/share/doc/spring/NEWS.Debian.gz
/usr/share/doc/spring/README.Debian
/usr/share/doc/spring/SelectionKeys.txt.gz
/usr/share/doc/spring/StartScriptFormat.txt.gz
/usr/share/doc/spring/THANKS
/usr/share/doc/spring/changelog.Debian.gz
/usr/share/doc/spring/cmds.txt
/usr/share/doc/spring/copyright
/usr/share/doc/spring/engineBranchingModel.dia.gz
/usr/share/doc/spring/logApi.dia
/usr/share/doc/spring/releasechecklist.txt
/usr/share/lintian/overrides/spring
/usr/share/man/man6/spring-dedicated.6.gz
/usr/share/man/man6/spring-headless.6.gz
/usr/share/man/man6/spring-legacy.6.gz
/usr/share/man/man6/spring.6.gz
/usr/share/mime/packages/spring.xml
/usr/share/pixmaps/application-x-spring-demo.png
/usr/share/pixmaps/spring.png

Changelog

2015-11-11 - Steve Langasek <steve.langasek@ubuntu.com>
spring (100.0+dfsg-2build1) xenial; urgency=medium
* No-change rebuild against libglew1.13
2015-08-31 - Markus Koschany <apo@gambaru.de>
spring (100.0+dfsg-2) unstable; urgency=medium
* Add remove-ThreadPool-test.patch.
Work around a FTBFS with GCC 5.2 by removing the ThreadPool test.
(Closes: #797282)
2015-07-16 - Markus Koschany <apo@gambaru.de>
spring (100.0+dfsg-1) unstable; urgency=medium
* Imported Upstream version 100.0+dfsg.
2015-07-06 - Markus Koschany <apo@gambaru.de>
spring (99.0+dfsg-1) unstable; urgency=medium
* Imported Upstream version 99.0+dfsg.
* Drop use-Debian-java-libs.patch. Apparently it is not necessary to keep
this patch. The -javaai package can be successfully built without it. We
are also symlinking the required system jars already, so that they can be
found by the engine.
* New build-dependency: Add libunwind-dev to Build-Depends.
* Build with libminizip-dev. Do not use the embedded version.
* Update sdl-debian.patch for new release.
* Update debian/copyright for new release.
* debian/rules: Add dh_install --list-missing.
2014-10-11 - Markus Koschany <apo@gambaru.de>
spring (98.0+dfsg-1) unstable; urgency=medium
* Imported Upstream version 98.0+dfsg.
* Declare compliance with Debian Policy 3.9.6.
* Update VCS browser field to new canonical address.
* Drop FTBFS-GCC-4.9.patch and cmake3.0.patch. Fixed upstream.
* Remove unused lintian overrides for missing classpath warning.
* Override lintian error shlib-with-non-pic-code (only on i386) because those
files are not shared libraries but AI components of the Spring engine.
2014-08-16 - Markus Koschany <apo@gambaru.de>
spring (97.0+dfsg-1) unstable; urgency=medium
* Imported Upstream version 97.0+dfsg.
* debian/watch: Remove lzma extension, use upstream's gzip compressed
tarballs and avoid a bug with uscan.
* Update get-orig-source target for new release.
* Switch to SDL2. Build-depend on libsdl2-dev.
* Update sdl-debian.patch for SDL2.
* Add cmake3.0.patch:
- Cherry pick upstream commit and support the latest cmake 3.0 release.
Thanks to Felix Geyer for the report. (Closes: #758259)
* Update debian/copyright for new release.
2014-06-01 - Markus Koschany <apo@gambaru.de>
spring (96.0+dfsg-2) unstable; urgency=medium
* Remove mention of oscpack from debian/copyright.
- This directory does no longer exist.
* Add FTBFS-GCC-4.9.patch.
- Cherry pick upstream workaround to fix FTBFS with GCC 4.9.
(Closes: #746914)
* debian/control: Do not suggest libtxc-dxtn0 anymore.
- This package is now recommended by libgl1-mesa-dri (Closes: #739183)

See Also

Package Description
springlobby_0.237-1build1_i386.deb single/multiplayer lobby for the Spring RTS engine
sptk_3.9-1_i386.deb speech signal processing toolkit
sputnik_12.06.27-2_all.deb Extensible wiki
spyder-common_2.3.8+dfsg1-1build1_all.deb Python IDE for scientists (common files)
spyder3_2.3.8+dfsg1-1build1_all.deb Python IDE for scientists (Python 3)
spyder_2.3.8+dfsg1-1build1_all.deb Python IDE for scientists (Python 2)
spykeviewer_0.4.4-1_all.deb graphical utility for analyzing electrophysiological data
sqitch_0.9993-2_all.deb Sane database change management
sql-ledger_3.0.8-1_all.deb Web based double-entry accounting program
sqlacodegen_1.1.6-1_all.deb Automatic model code generator for SQLAlchemy
sqlcipher_3.2.0-1.1_i386.deb Command line interface for SQLCipher
sqlformat_0.1.18-1_all.deb SQL formatting utility
sqlgrey_1.8.0-1_all.deb Postfix Greylisting Policy Server
sqlite-doc_2.8.17-12fakesync1_all.deb SQLite documentation
sqlite3-pcre_0~git20070120091816+4229ecc-0ubuntu1_i386.deb Perl-compatible regular expression support for SQLite
Advertisement
Advertisement